# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'pipe_rpc/version'

Gem::Specification.new do |spec|
  spec.name          = "pipe_rpc"
  spec.version       = PipeRpc::VERSION
  spec.authors       = ["Christopher Aue"]
  spec.email         = ["mail@christopheraue.net"]

  spec.summary       = %q{RPC between parent and child process over pipes}
  spec.description   = %q{PipeRpc was designed so parent und child processes can call each other's
                          methods. It uses a protocol similar to JSON-RPC but serializing with msgpack.}
  spec.homepage      = "https://github.com/christopheraue/ruby-pipe_rpc"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_runtime_dependency "msgpack", "~> 1.0"
  spec.add_development_dependency "bundler", "~> 1.8"
  spec.add_development_dependency "rspec", "~> 3.4"
  spec.add_development_dependency "rspec-its"
  spec.add_development_dependency "rspec-mocks-matchers-send_message", "~> 0.2"
end
